Results 1 to 8 of 8

Thread: Trying to get libctemplate.so.2

  1. #1
    Join Date
    Nov 2009
    Location
    Santiago, Chile
    Posts
    171

    Question Trying to get libctemplate.so.2

    Hi there guys.

    I'm trying to install the latest version of mysql-workbench which I have found in factory repo for a manual rpm download (64 bit). I'm not sure if it would be able to run but once I try Yast tell me that "libctemplate.so.2" is needed but can't be found. All I have is libc.so.6 and I'm not sure if a libctemplate symlink would make the work or not.

    By the way I'm working with 12.2 with stable repos only.

    Thanks in advance!
    HP pavilion dv6-6185la - Intel i7 - AMD Radeon 6770M - openSUSE 12.2 - KDE 4.9

  2. #2

    Default Re: Trying to get libctemplate.so.2

    Quote Originally Posted by faco84 View Post
    Hi there guys. I'm trying to install the latest version of mysql-workbench which I have found in factory repo for a manual rpm download (64 bit). I'm not sure if it would be able to run but once I try Yast tell me that "libctemplate.so.2" is needed but can't be found. All I have is libc.so.6 and I'm not sure if a libctemplate symlink would make the work or not. By the way I'm working with 12.2 with stable repos only. Thanks in advance!
    Hi, try RPM resource libctemplate.so.2 or libctemplate.so.2()(64bit) RPM DEB Download. HTH Lenwolf

  3. #3
    Join Date
    Nov 2009
    Location
    Santiago, Chile
    Posts
    171

    Default Re: Trying to get libctemplate.so.2

    Quote Originally Posted by lenwolf View Post
    Thanks I'll try that!
    HP pavilion dv6-6185la - Intel i7 - AMD Radeon 6770M - openSUSE 12.2 - KDE 4.9

  4. #4

    Default Re: Trying to get libctemplate.so.2

    Quote Originally Posted by faco84 View Post
    Thanks I'll try that!
    Tell us how it goes.... Lenwolf

  5. #5
    Join Date
    May 2010
    Location
    Space Colony Lagrange Point 22° à, 77° Ƅ, 56° ɤ, 99° ɜ
    Posts
    3,166

    Default Re: Trying to get libctemplate.so.2

    Why don't you add this repo and get latest version of workbench
    Factory is generally not tested
    GNOME Version 3.20.2
    openSUSE Leap 42.3 64-bit

    www.vazhavandan.blogspot.com

  6. #6
    Join Date
    May 2010
    Location
    Space Colony Lagrange Point 22° à, 77° Ƅ, 56° ɤ, 99° ɜ
    Posts
    3,166

    Default Re: Trying to get libctemplate.so.2

    using rpm.pbonenet you can check for dependant packages and download them too
    GNOME Version 3.20.2
    openSUSE Leap 42.3 64-bit

    www.vazhavandan.blogspot.com

  7. #7
    Join Date
    Nov 2009
    Location
    Santiago, Chile
    Posts
    171

    Default Re: Trying to get libctemplate.so.2

    There are other several packages I need to install and one of them is sqlite3. Is it safe to install version 3 if openSUSE 12.2 is currently working with v2? I don't really know what processes are using it so I'd ask before.
    HP pavilion dv6-6185la - Intel i7 - AMD Radeon 6770M - openSUSE 12.2 - KDE 4.9

  8. #8
    Join Date
    May 2010
    Location
    Space Colony Lagrange Point 22° à, 77° Ƅ, 56° ɤ, 99° ɜ
    Posts
    3,166

    Default Re: Trying to get libctemplate.so.2

    Quote Originally Posted by faco84 View Post
    There are other several packages I need to install and one of them is sqlite3. Is it safe to install version 3 if openSUSE 12.2 is currently working with v2? I don't really know what processes are using it so I'd ask before.
    If you want to be really safe ,add the community repos through YaST,leave out the factory ,debug repos and then after configuring repos you add any package from YaST
    You can easily install sqlite3 using YaST/zypper with community repos configured.
    Note:- Sometimes you may need to use some grey matter to resolve conflict / dependency issues. Don't experiment too much. Come back to the forums with questions :-)
    GNOME Version 3.20.2
    openSUSE Leap 42.3 64-bit

    www.vazhavandan.blogspot.com

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •